%define         gst_minver      0.8.7
%define         gstp_minver     0.8.5
%define         gstreamer       gstreamer

Name:           %{gstreamer}-python
Version:        0.8.1
Release:        0.fdr.2.3
Summary:        Python bindings for GStreamer.

Group:          Development/Languages
License:        LGPL
URL:            http://gstreamer.freedesktop.org/
Source:         http://gstreamer.freedesktop.org/src/gst-python/gst-python-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	python >= 2
Requires:	pygtk2 >= 2.4.0
Requires:	%{gstreamer} >= %{_gst_minver}
Requires:	%{gstreamer}-plugins >= %{_gstp_minver}

BuildRequires:	python >= 2
BuildRequires:  python-devel >= 2
BuildRequires:  pygtk2-devel >= 2.4.0
BuildRequires:	xmlto
BuildRequires:	links

# xwindowlistener needs X11 headers
BuildRequires:  XFree86-devel

BuildRequires:	%{gstreamer}-devel >= %{_gst_minver}
BuildRequires:	%{gstreamer}-plugins-devel >= %{_gstp_minver}

# sigh, libtool
BuildRequires:  gcc-c++

# no sense in splitting off a devel package just yet
Provides:	%{gstreamer}-python-devel = %{version}-%{release}

%description
This module contains a wrapper that allows GStreamer applications
to be written in Python.

%prep
%setup -q -n gst-python-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc examples/gst/*.py examples/gstplay/*.py
%{_libdir}/python?.?/site-packages/gst
%dir %{_datadir}/gst-python
%{_datadir}/gst-python/examples
%{_datadir}/gst-python/2.0/defs/*.defs
%{_libdir}/pkgconfig/gst-python-0.8.pc

%changelog
* Fri Dec 24 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.8.1-0.fdr.2: various cleanups

* Tue Dec 07 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.8.1-0.fdr.1: new upstream release

* Mon Nov 15 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.8.0-0.fdr.1: new upstream release

* Fri Nov 05 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.94-0.fdr.1: new upstream release

* Tue Oct 12 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.93-0.fdr.1: new upstream release

* Mon Jun 21 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.92-0.fdr.1: new upstream release

* Wed Mar 31 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.91-0.fdr.1: new upstream release

* Tue Sep 02 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.1.0-0.fdr.1: first fedora release
